{
  "namespace": "ore_chickens_common",

  "chest_grid_item@common.container_item":{
    "ignored": false,
    "$item_collection_name": "container_items",
    "size": [18, 18]
  },

  "slot_overlay": {
    "type": "image",
    "layer": 2,
    "$slot_overlay_size|default": [ 16, 16 ],
    "size": "$slot_overlay_size",
    "alpha": 0.8,
    "bindings": [
      {
       "binding_name": "#item_id_aux",
       "binding_type": "collection",
       "binding_collection_name": "container_items"
      },
      {
        "binding_type": "view",
        "source_property_name":"(#item_id_aux = -1)",
        "target_property_name": "#visible"
      }
    ]
  },
  
  "chicken_overlay@slot_overlay": {
    "texture": "textures/roost/ui/vatonage_chicken_overlay"
  },
  
  "roost_button_control": {
    "type": "panel",
    "layer": 3,
    "size": [16, 16],
    "controls": [
      {
        "button_icon": {
          "type": "image",
          "size": [16, 16],
          "texture": "$path"
        }
      }
    ]
  },

  "roost_toggle_checked": {
    "type": "panel",
    "layer": 3,
    "size": [16, 16],
    "controls": [
      {
        "button_icon": {
          "type": "image",
          "size": [16, 16],
          "texture": "$path",
          "layer": 6
        }
      },
      {
        "hover": {
          "type": "image",
          "size": ["100%", "100%"],
          "texture": "textures/roost/ui/roost_hover",
          "alpha": 0.5,
          "layer": 3
        }
      }
    ]
  }

}